Suphp

Discussion in 'Installation/Configuration' started by planet_fox, Apr 8, 2008.

  1. planet_fox

    planet_fox Member

    How can I run php4 as mod and php5 as cgi ?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Install php4 as mod_php and then install php5 as cgi. php4 can be anbled then by checking the php checkbox in ISPConfig, to use php5 as cgi, make sure that the php checkbox is not enabled and add the nescessary apache directives to enable php5-cgi to the apache directives field of the website.
     
  3. falko

    falko Super Moderator ISPConfig Developer

  4. planet_fox

    planet_fox Member

    question 2 . when I make this and user load picture to server from oscommerce to the server the permission of all sites with php4_mod is www-data . is this corect. I can´t run mod php4-cgi and php5-cgi at same time ?
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    If the pictures shall be uploaded with the correct user (the admin of the site), then you will have to use suphp and not php-cgi or mod_php.
     
  6. planet_fox

    planet_fox Member

    hm

    I have in ISPconfig in server option this

    Code:
    suPHP_ConfigPath /var/www/web1/php5/
    and some website


    Code:
    suPHP_ConfigPath /var/www/web1/php4/
    Suphp

    Code:
    x-httpd-php=php:/usr/bin/php4-cgi
    x-httpd-php5=php:/usr/bin/php5-cgi
    
    When I see in the phpinfo.php say me this

    Code:
    PHP Version 5.2.5-0.dotdeb.2
    Server api: CGI/FastCGI
    Configuration File (php.ini) Path=  	/etc/php5/cgi
    LoadedConfig: /var/www/web1/php5/php.ini
    
    

    and I wish the server says this on web1

    Code:
    PHP Version ´4
    Server api: CGI/FastCGI
    Configuration File (php.ini) Path=  	/etc/php4/cgi
    LoadedConfig: /var/www/web1/php4/php.ini
    and on web 2

    Code:
    PHP Version 5
    Server api: CGI/FastCGI
    Configuration File (php.ini) Path=  	/etc/php5/cgi
    LoadedConfig: /var/www/web2/php5/php.ini
    and all other webs runs with standard php5.ini
     

Share This Page